Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements

Welcome to Cisco Support Community. We would love to have your feedback.

For an introduction to the new site, click here. If you'd prefer to explore, try our test area to get started. And see here for current known issues.

New Member

Cisco Prime ver 1.3 issue

Hi @all

today i´d tried to login at my Cisco Prime interface. After i´d tried to browse to the device center i get an error. See picture.

The last config i did was to configure Radius setting. But i´d tested it and threre it works fine ... Any idea

There was an error while parsing and rendering the content. (Tried to register widget with id==dGroupOS but that id is already registered)

THX Mario

Another error is when i´d tried to click on Administration->SystemSettings->Datadeduplication i get this error

There was an error while parsing and rendering the content. (Tried to register widget with id==tableSP_xwtTableGlobalToolbar_refreshButton but that id is already registered)

21 REPLIES
New Member

Cisco Prime ver 1.3 issue

Hi guys

new Information ... with Firefox it works ... with Chrome and IE not ....

New Member

Cisco Prime ver 1.3 issue

I have the same problem. It seems that Chorme is updated to Version 29.0.1547.57 m, and along with it these problems came.

We tested on a PC that ran version 28-something and this problem was not present.

FF works.


New Member

Cisco Prime ver 1.3 issue

I also get various other error-msg:

There was an error while parsing and rendering the content. (Tried to register widget with id==officeExtendApDialog but that id is already registered)

There was an error while parsing and rendering the content. (Object #has no method 'getAttribute')

Cisco Employee

Cisco Prime ver 1.3 issue

Google has broke some of the features with latest version of chrome (v29) and hence CPI is having some issues. You can still run older Chrome version or use other browsers.

It is still being worked upon for fix.

-Thanks Vinod **Rating Encourages contributors, and its really free. **
New Member

Re: Cisco Prime ver 1.3 issue

Same problem here. It seems like the only solution at this time is downgrading chrome.

You can find some older versions here: http://www.oldapps.com/google_chrome.php

Cisco Employee

Re: Cisco Prime ver 1.3 issue

This is wholly a problem introduced by Google.  Chrome 29 changed something in their dom traversal code used by QuerySelectorAll and/or in their actual DOM structure properties.   This broke the Dojo JavaScript Toolkit critical API: dojo.query.  The query code started to return TEXT nodes instead of just DOM Elements.  This is incorrect behavior and as such has caused the dom/template parser of Dojo to break while instantiating various types of widgets; primarily things such as the dijit Select control.  This has a ripple effect of breaking/failing page loads with random errors.  The most common error seen is some type of 'getAttribute' error.   

You can refer to this Dojo bug on the subject:

https://bugs.dojotoolkit.org/ticket/17400

Cisco is currently working to patch the products affected by this .  In the meantime the only options are to downgrade Chrome and Chrome Frame back to 28, or to use FireFox.

New Member

Cisco Prime ver 1.3 issue

I have applied the patch per the instructions, and it said "patch applied successfully",but when I do a "show version", it has not added the line about the update.

Any thoughts?

New Member

Cisco Prime ver 1.3 issue

There is a patch for this. Below is info on the 1.3 patch:

Description:Apply this patch over existing Prime Infrastructure 1.3.0.20 to fix the issue introduced in Google Chrome 29 build, which broke Dojo Toolkits query interface.
Release:1.3.0
Release Date:04/Sep/2013
File Name:PI_1_3_0_20-Update.1.12.CSCui77571-2.tar.gz
Size:0.13 MB (134938 bytes)
MD5 Checksum:d56011daa798def923e34c9ec40196bd
New Member

Cisco Prime ver 1.3 issue

Hello

it works !!!

There is also a Patch for 1.4 available this Patch works also ...

New Member

Cisco Prime ver 1.3 issue

Hello,

didn't work for me. I just installed the patch on CISCO Prime 1.3

Still the same error: IE / Chrome Frame 29 shows it. Firefox is working.

New Member

Cisco Prime ver 1.3 issue

Fails in IE and Chrome.  Home page works on both (dashboard will render),

but with IE, Operate >device work center will either fail with a "error parsing and rendering content.  (Object # has no method "get attribute"),

or in Chrome - it just won't render the main frame.

Firefox still works, but reports an 'unsupported browser' error on Prime's splash / login screen.

New Member

Re: Cisco Prime ver 1.3 issue

Yes, I cleared the browser cache. But this did not help for IE.

Cisco Employee

Cisco Prime ver 1.3 issue

Did you clear your browser cache after patching the server?   If you don't clear your browser cache, it is likely the browser is still loading the broken version from its local cache.

Sincerely,

-- Jared Jurkiewicz

New Member

Cisco Prime ver 1.3 issue

/facepalm

Yes, that seems to have resolved that issue for Chrome.  I have not tested IE yet.

New Member

Cisco Prime ver 1.3 issue

Same issue here.

Applied the patch, cleared browser cache.

So I tested it again:

========================================

Test-Client 1 - Windows 8 x64:

- IE10:

There was an error while parsing and rendering the content. (Object #

has no method 'getAttribute')

- Firefox 24:

Works but reeeeeeally slow......sometimes a meassage like "process ...dojo...not work" pops up.

Chrome 30:

There was an error while parsing and rendering the content. (Object #

has no method 'getAttribute')

========================================

========================================

Test-Client 2 - Windows 8 x32

- IE10:

There was an error while parsing and rendering the content. (Object #

has no method 'getAttribute')

Chrome 30:

There was an error while parsing and rendering the content. (Object #

has no method 'getAttribute')

========================================

So Cisco......what I have to do now? There are some users that want to use the CPI .

New Member

Cisco Prime ver 1.3 issue

Hi,

I had some troubble with the CPI too.

All started with the Update from NCS to CPI.

The final solution was the update to CPI 2.0.0.0.294.

Now the CPI works very well and fast too .

New Member

Cisco Prime ver 1.3 issue

Hi,

I also had the same issue.

Just installed Patch PI_1_3_0_20-Update.4-16.tar.gz

Problem gone for

Firefox 25.0 and IE10 with Chrom Frame Plugin (unsupported Plugin by the way)

Problem was still there for Chrome Version 30.0.1599.101 until I cleared all the cached data.

But until now I have not done much on testing.

Best Regards

Alois

New Member

Cisco Prime ver 1.3 issue

how long did it take you to install the patch

PI_1_3_0_20-Update.4-16.tar.gz? Do you have to stop NCS or either way it will work? Its been like this for about 15 minutes.

CPRIME/admin# patch install PI_1_3_0_20-Update.4-16.tar.gz ftpbkup

Save the current ADE-OS running configuration? (yes/no) [yes] ? yes

Generating configuration...

Saved the ADE-OS running configuration to startup successfully

Initiating Application Patch installation...

New Member

Cisco Prime ver 1.3 issue

Hi,

I could not remember anymore how long it took, because I was in trouble with a crash of ncs.

But I have done a backup before patching this took a long time about 1hour.

I do always copy the file to a repository on local disk. I start ftp from my management station to the ftp-dir on ncs an do a put, I do not use a remote mounted file system via ftp on ncs because I had a slow ftp throughput....

Stopping or starting ncs takes always about 30 minutes, sometimes starting did not work at the firts start.

ncs/admin# backup ncs1-3-20_2013-11-1 repository
% Creating backup with timestamped filename: ncs1-3-20_2013-11-1-131101-1843.tar.gpg
...

Patch installation, maybe took only a few minutes, but I had not memorized it. I do only have a logg of that, but also without stopping ncs manually.

ncs/admin# patch install PI_1_3_0_20-Update.4-16.tar.gz
Save the current ADE-OS running configuration? (yes/no) [yes] ? yes
Generating configuration...
Saved the ADE-OS running configuration to startup successfully
Initiating Application Patch installation...
Patch successfully installed
ncs/admin# sh ver

Cisco Application Deployment Engine OS Release: 2.0
ADE-OS Build Version: 2.0.1.038
ADE-OS System Architecture: x86_64

Copyright (c) 2005-2010 by Cisco Systems, Inc.
All rights reserved.
Hostname: ncs


Version information of installed applications
---------------------------------------------

Cisco Prime Network Control System
------------------------------------------
Version : 1.3.0.20
Patch: Cisco Prime Network Control System Version: Update.4.16
ncs/admin#

New Member

Re: Cisco Prime ver 1.3 issue

Hello,

I updated two different PI 1.3.0.20 > I got the same problems:

- in the release notes they said it shoult took 15 to 20 minutes...

- one hour later I decided to abort with CTRL-C, I stop services, restart server, restart services

- then the update took less than 20 minutes and now it's working

I had this problem twice...

Silver

Cisco Prime ver 1.3 issue

check this link

https://tools.cisco.com/bugsearch/bug/CSCui77571

PI: Chrome upgrade to Version 29.0.1547.57 m causes error

CSCui77571

14734
Views
5
Helpful
21
Replies